<?php

  $ethical_hacking_theme_custom_setting_css = '';

    // Global Color
    $ethical_hacking_theme_color = get_theme_mod('ethical_hacking_theme_color', '#18A727');

    $ethical_hacking_theme_custom_setting_css .=':root {';
        $ethical_hacking_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($ethical_hacking_theme_color ).'!important;';
    $ethical_hacking_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$ethical_hacking_scroll_alignment = get_theme_mod('ethical_hacking_scroll_alignment', 'right');

    if($ethical_hacking_scroll_alignment == 'right'){
        $ethical_hacking_theme_custom_setting_css .='.scroll-up{';
            $ethical_hacking_theme_custom_setting_css .='right: 30px;!important;';
			$ethical_hacking_theme_custom_setting_css .='left: auto;!important;';
        $ethical_hacking_theme_custom_setting_css .='}';
    }else if($ethical_hacking_scroll_alignment == 'center'){
        $ethical_hacking_theme_custom_setting_css .='.scroll-up{';
            $ethical_hacking_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $ethical_hacking_theme_custom_setting_css .='}';
    }else if($ethical_hacking_scroll_alignment == 'left'){
        $ethical_hacking_theme_custom_setting_css .='.scroll-up{';
            $ethical_hacking_theme_custom_setting_css .='left: 30px;!important;';
			$ethical_hacking_theme_custom_setting_css .='right: auto;!important;';
        $ethical_hacking_theme_custom_setting_css .='}';
    }

    // Related Product

	$ethical_hacking_show_related_product = get_theme_mod('ethical_hacking_show_related_product', true );

	if($ethical_hacking_show_related_product != true){
		$ethical_hacking_theme_custom_setting_css .='.related.products{';
			$ethical_hacking_theme_custom_setting_css .='display: none;';
		$ethical_hacking_theme_custom_setting_css .='}';
	}	

    // Featured Image Hover Effect
    $ethical_hacking_show_featured = get_theme_mod('ethical_hacking_featured_image_hide_show', 1);
    $ethical_hacking_hover_effect = get_theme_mod('ethical_hacking_single_post_featured_image_hover','none');

    if ( $ethical_hacking_show_featured && $ethical_hacking_hover_effect !== 'none' ) {

    $ethical_hacking_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $ethical_hacking_hover_effect === 'zoom-in' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $ethical_hacking_hover_effect === 'zoom-out' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $ethical_hacking_hover_effect === 'grayscale' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $ethical_hacking_hover_effect === 'sepia' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $ethical_hacking_hover_effect === 'blur' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $ethical_hacking_hover_effect === 'bright' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $ethical_hacking_hover_effect === 'translate' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $ethical_hacking_hover_effect === 'scale' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}
// Product Featured Image Hover Effect
    $ethical_hacking_show_featured = get_theme_mod('ethical_hacking_featured_image_hide_show', 1);
    $ethical_hacking_hover_effect = get_theme_mod('ethical_hacking_product_featured_image_hover','none');

    if ( $ethical_hacking_show_featured && $ethical_hacking_hover_effect !== 'none' ) {

    $ethical_hacking_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $ethical_hacking_hover_effect === 'zoom-in' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $ethical_hacking_hover_effect === 'zoom-out' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $ethical_hacking_hover_effect === 'grayscale' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $ethical_hacking_hover_effect === 'sepia' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $ethical_hacking_hover_effect === 'blur' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $ethical_hacking_hover_effect === 'bright' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $ethical_hacking_hover_effect === 'translate' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $ethical_hacking_hover_effect === 'scale' ) {
        $ethical_hacking_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   